<!doctype html>
<html>
<head>
    <title>New Stable released, Tor 0.2.1.21 | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="New Stable released, Tor 0.2.1.21 | Tor Project">
    <meta property="og:description" content="Tor 0.2.1.21 fixes an incompatibility with the most recent OpenSSL library. If you use Tor on...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/new-stable-released-tor-02121/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        New Stable released, Tor 0.2.1.21
      </h1>
    <p class="meta">by phobos | December 30, 2009</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>Tor 0.2.1.21 fixes an incompatibility with the most recent OpenSSL<br />
library. If you use Tor on Linux / Unix and you're getting SSL<br />
renegotiation errors, upgrading should help. We also recommend an<br />
upgrade if you're an exit relay.</p>

<p><a href="https://www.torproject.org/easy-download" rel="nofollow">https://www.torproject.org/easy-download</a></p>

<p>Changes in version 0.2.1.21 - 2009-12-21<br />
<strong>Major bugfixes:</strong></p>

<ul>
<li> Work around a security feature in OpenSSL 0.9.8l that prevents our<br />
      handshake from working unless we explicitly tell OpenSSL that we<br />
      are using SSL renegotiation safely. We are, of course, but OpenSSL<br />
      0.9.8l won't work unless we say we are.</li>
<li> Avoid crashing if the client is trying to upload many bytes and the<br />
      circuit gets torn down at the same time, or if the flip side<br />
      happens on the exit relay. Bugfix on 0.2.0.1-alpha; fixes bug 1150.</li>
</ul>

<p><strong>Minor bugfixes:</strong></p>

<ul>
<li> Do not refuse to learn about authority certs and v2 networkstatus<br />
      documents that are older than the latest consensus. This bug might<br />
      have degraded client bootstrapping. Bugfix on 0.2.0.10-alpha.<br />
      Spotted and fixed by xmux.</li>
<li> Fix a couple of very-hard-to-trigger memory leaks, and one hard-to-<br />
      trigger platform-specific option misparsing case found by Coverity<br />
      Scan.</li>
<li> Fix a compilation warning on Fedora 12 by removing an impossible-to-<br />
      trigger assert. Fixes bug 1173.</li>
</ul>

<p>The original announcement can be found at <a href="http://archives.seul.org/or/announce/Dec-2009/msg00000.html" rel="nofollow">http://archives.seul.org/or/announce/Dec-2009/msg00000.html</a></p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/relays">
          relays
        </a>
      </li><li>
        <a href="../category/releases">
          releases
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-3779"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3779" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 30, 2009</p>
    </div>
    <a href="#comment-3779">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3779" class="permalink" rel="bookmark">Will there be an update for</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Will there be an update for tor-devel/alpha users? Should I wait for this or should I change from alpha to stable?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-3790"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3790" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">December 31, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-3779" class="permalink" rel="bookmark">Will there be an update for</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-3790">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3790" class="permalink" rel="bookmark">Openssl fixes are coming in</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Openssl fixes are coming in 0.2.2.7-alpha, which should be released soon.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-3816"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3816" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 04, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-3816">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3816" class="permalink" rel="bookmark">Tnx, so I&#039;ll wait for it.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Tnx, so I'll wait for it.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-3796"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3796" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 01, 2010</p>
    </div>
    <a href="#comment-3796">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3796" class="permalink" rel="bookmark">Downloaded and installed v</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Downloaded and installed v 0.2.1.21 (only Tor, no bundle). Starts and runs faster than version .20. Thanks for the improvement! Running Win XP Pro sp3 with Privoxy 3.0.12 (stable).</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-3800"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3800" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 02, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-3796" class="permalink" rel="bookmark">Downloaded and installed v</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-3800">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3800" class="permalink" rel="bookmark">Just out of curiosity, why</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Just out of curiosity, why Privoxy and not Polipo?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-3817"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3817" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 04, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-3800" class="permalink" rel="bookmark">Just out of curiosity, why</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-3817">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3817" class="permalink" rel="bookmark">It still comes with polipo</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It still comes with polipo for me :(<br />
Did you install have privoxy and they changed it later? or you already have privoxy from previous version?<br />
polipo sucks.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-3820"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3820" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">January 04, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-3817" class="permalink" rel="bookmark">It still comes with polipo</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-3820">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3820" class="permalink" rel="bookmark">The bundles we produce all</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The bundles we produce all come with polipo.  If you don't like polipo, don't install it.  You can use torbutton in firefox directly with tor.  you'll receive lots of "network errors", but it does work most of the time.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-3829"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3829" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 04, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-3829">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3829" class="permalink" rel="bookmark">I think you guys made a big</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I think you guys made a big mistake putting polipo on the release version without even testing it in beta first.</p>
<p>Polipo doesn't work properly with some sites. always blank pages and missing images, never had that problem with privoxy, i could even privoxy to auto-retry broken connection so all pages always load perfectly.</p>
<p>Polipo looks good and fast at first look, but after a while using it you start to see the little things where it fails.</p>
<p>Firefox already has caching (that actually works properly), polipo doesn't do anything for increasing speed that increasing the memory cache size in firefox cant match.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-3884"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3884" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">January 06, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-3829" class="permalink" rel="bookmark">I think you guys made a big</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-3884">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3884" class="permalink" rel="bookmark">Everything is tested in</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Everything is tested in alpha first, then beta, then release.  Polipo has been in the tor browser bundles for 3 years.  It may have some problems, but overall it is fast, reliable and supports newer features like http 1.1 and pipelining.</p>
<p>As I've stated numerous times, if the firefox socks layer worked correctly, we wouldn't use an http proxy in between tor and the browser at all.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div></div></div><a id="comment-3920"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3920" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 09, 2010</p>
    </div>
    <a href="#comment-3920">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3920" class="permalink" rel="bookmark">ژانويه 09 23:44:30.343</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>ژانويه 09 23:44:30.343 [Notice] Tor v0.2.1.21. This is experimental software. Do not rely on it for strong anonymity. (Running on Windows XP Service Pack 3 [workstation] {terminal services, single user})<br />
ژانويه 09 23:44:30.453 [Notice] Initialized libevent version 1.4.13-stable using method win32. Good.<br />
ژانويه 09 23:44:30.453 [Notice] Opening Socks listener on 127.0.0.1:9050<br />
ژانويه 09 23:44:30.562 [Notice] Opening Control listener on 127.0.0.1:9051<br />
ژانويه 09 23:44:30.671 [Notice] Parsing GEOIP file.<br />
ژانويه 09 23:44:35.062 [Warning] Problem bootstrapping. Stuck at 5%: Connecting to directory server. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 1; recommendation warn)<br />
ژانويه 09 23:44:35.093 [Notice] No current certificate known for authority moria1; launching request.<br />
ژانويه 09 23:44:35.093 [Notice] No current certificate known for authority tor26; launching request.<br />
ژانويه 09 23:44:35.093 [Notice] No current certificate known for authority dizum; launching request.<br />
ژانويه 09 23:44:35.093 [Notice] No current certificate known for authority ides; launching request.<br />
ژانويه 09 23:44:35.093 [Notice] No current certificate known for authority gabelmoo; launching request.<br />
ژانويه 09 23:44:35.093 [Notice] No current certificate known for authority dannenberg; launching request.<br />
ژانويه 09 23:44:35.093 [Notice] No current certificate known for authority urras; launching request.<br />
ژانويه 09 23:44:35.328 [Warning] Problem bootstrapping. Stuck at 5%: Connecting to directory server. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 2; recommendation warn)<br />
ژانويه 09 23:44:35.546 [Warning] Problem bootstrapping. Stuck at 5%: Connecting to directory server. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 3; recommendation warn)<br />
ژانويه 09 23:45:18.781 [Notice] Renaming old configuration file to "C:\Documents and Settings\BytePtr\Application Data\Vidalia\torrc.orig.1"<br />
ژانويه 09 23:45:20.609 [Notice] Tor v0.2.1.21. This is experimental software. Do not rely on it for strong anonymity. (Running on Windows XP Service Pack 3 [workstation] {terminal services, single user})<br />
ژانويه 09 23:45:20.609 [Notice] Initialized libevent version 1.4.13-stable using method win32. Good.<br />
ژانويه 09 23:45:20.609 [Notice] Opening Socks listener on 127.0.0.1:9050<br />
ژانويه 09 23:45:20.718 [Notice] Opening Control listener on 127.0.0.1:9051<br />
ژانويه 09 23:45:20.718 [Notice] Parsing GEOIP file.<br />
ژانويه 09 23:45:23.968 [Warning] Problem bootstrapping. Stuck at 5%: Connecting to directory server. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 1; recommendation warn)<br />
ژانويه 09 23:45:24.031 [Notice] No current certificate known for authority moria1; launching request.<br />
ژانويه 09 23:45:24.031 [Notice] No current certificate known for authority tor26; launching request.<br />
ژانويه 09 23:45:24.031 [Notice] No current certificate known for authority dizum; launching request.<br />
ژانويه 09 23:45:24.031 [Notice] No current certificate known for authority ides; launching request.<br />
ژانويه 09 23:45:24.031 [Notice] No current certificate known for authority gabelmoo; launching request.<br />
ژانويه 09 23:45:24.031 [Notice] No current certificate known for authority dannenberg; launching request.<br />
ژانويه 09 23:45:24.031 [Notice] No current certificate known for authority urras; launching request.<br />
ژانويه 09 23:45:24.312 [Warning] Problem bootstrapping. Stuck at 5%: Connecting to directory server. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 2; recommendation warn)<br />
ژانويه 09 23:45:24.328 [Warning] Problem bootstrapping. Stuck at 5%: Connecting to directory server. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 3; recommendation warn)<br />
ژانويه 09 23:45:50.125 [Notice] Tor v0.2.1.21. This is experimental software. Do not rely on it for strong anonymity. (Running on Windows XP Service Pack 3 [workstation] {terminal services, single user})<br />
ژانويه 09 23:45:50.234 [Notice] Initialized libevent version 1.4.13-stable using method win32. Good.<br />
ژانويه 09 23:45:50.234 [Notice] Opening Socks listener on 127.0.0.1:9050<br />
ژانويه 09 23:45:50.234 [Notice] Opening Control listener on 127.0.0.1:9051<br />
ژانويه 09 23:45:50.234 [Notice] Parsing GEOIP file.<br />
ژانويه 09 23:45:54.234 [Warning] Problem bootstrapping. Stuck at 5%: Connecting to directory server. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 1; recommendation warn)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-3982"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3982" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 16, 2010</p>
    </div>
    <a href="#comment-3982">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3982" class="permalink" rel="bookmark">Jan 14 10:25:14.921</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Jan 14 10:25:14.921 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 1; recommendation warn)</p>
<p>Jan 14 10:33:03.578 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 1; recommendation warn)</p>
<p>Jan 14 10:37:07.093 [Notice] Tor v0.2.1.21. This is experimental software. Do not rely on it for strong anonymity. (Running on Windows XP Service Pack 3 [workstation] {terminal services, single user})<br />
Jan 14 10:37:07.093 [Notice] Initialized libevent version 1.4.13-stable using method win32. Good.<br />
Jan 14 10:37:07.093 [Notice] Opening Socks listener on 127.0.0.1:9050<br />
Jan 14 10:37:07.093 [Notice] Opening Control listener on 127.0.0.1:9051<br />
Jan 14 10:37:07.093 [Notice] Parsing GEOIP file.<br />
Jan 14 10:37:30.921 [Warning] Problem bootstrapping. Stuck at 80%: Connecting to the Tor network. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 1; recommendation warn)<br />
Jan 14 10:37:31.031 [Warning] Problem bootstrapping. Stuck at 80%: Connecting to the Tor network. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 2; recommendation warn)<br />
Jan 14 10:37:34.859 [Warning] Problem bootstrapping. Stuck at 80%: Connecting to the Tor network. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 3; recommendation warn)<br />
Jan 14 10:37:34.875 [Warning] Problem bootstrapping. Stuck at 80%: Connecting to the Tor network. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 4; recommendation warn)<br />
Jan 14 10:37:35.078 [Warning] Problem bootstrapping. Stuck at 80%: Connecting to the Tor network. (No route to host [WSAEHOSTUNREACH ]; NOROUTE; count 5; recommendation warn)<br />
Jan 14 10:37:36.078 [Warning] Problem bootstrapping. Stuck at 80%: Connecting to the Tor network. (No route to host [WSAEHOSTUNREACH ]; NOROUTE; count 6; recommendation warn)<br />
Jan 14 10:37:37.078 [Warning] Problem bootstrapping. Stuck at 80%: Connecting to the Tor network. (No route to host [WSAEHOSTUNREACH ]; NOROUTE; count 7; recommendation warn)<br />
Jan 14 10:37:38.078 [Warning] Problem bootstrapping. Stuck at 80%: Connecting to the Tor network. (No route to host [WSAEHOSTUNREACH ]; NOROUTE; count 8; recommendation warn)<br />
Jan 14 10:37:39.078 [Warning] Problem bootstrapping. Stuck at 80%: Connecting to the Tor network. (No route to host [WSAEHOSTUNREACH ]; NOROUTE; count 9; recommendation warn)<br />
Jan 14 10:38:01.000 [Warning] Problem bootstrapping. Stuck at 80%: Connecting to the Tor network. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 10; recommendation warn)<br />
Jan 14 10:38:02.968 [Warning] Problem bootstrapping. Stuck at 80%: Connecting to the Tor network. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 11; recommendation warn)<br />
Jan 14 10:38:04.109 [Notice] Bootstrapped 85%: Finishing handshake with first hop.<br />
Jan 14 10:38:32.031 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 12; recommendation warn)<br />
Jan 14 10:40:21.953 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 13; recommendation warn)<br />
Jan 14 10:40:23.156 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 14; recommendation warn)<br />
Jan 14 10:40:25.015 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 15; recommendation warn)<br />
Jan 14 10:40:37.046 [Notice] Tried for 120 seconds to get a connection to [scrubbed]:443. Giving up. (waiting for circuit)<br />
Jan 14 10:40:45.140 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 16; recommendation warn)<br />
Jan 14 10:40:46.015 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 17; recommendation warn)<br />
Jan 14 10:41:07.109 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 18; recommendation warn)<br />
Jan 14 10:41:09.078 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 19; recommendation warn)<br />
Jan 14 10:41:28.984 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 20; recommendation warn)<br />
Jan 14 10:41:31.062 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 21; recommendation warn)<br />
Jan 14 10:41:49.984 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 22; recommendation warn)<br />
Jan 14 10:41:53.046 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 23; recommendation warn)<br />
Jan 14 10:42:10.984 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 24; recommendation warn)<br />
Jan 14 10:42:14.156 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 25; recommendation warn)<br />
Jan 14 10:42:31.984 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 26; recommendation warn)<br />
Jan 14 10:42:36.031 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 27; recommendation warn)<br />
Jan 14 10:42:59.875 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (DONE; DONE; count 28; recommendation warn)<br />
Jan 14 10:42:59.953 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (DONE; DONE; count 29; recommendation warn)<br />
Jan 14 10:42:59.953 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (DONE; DONE; count 30; recommendation warn)<br />
Jan 14 10:42:59.953 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 31; recommendation warn)<br />
Jan 14 10:42:59.968 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 32; recommendation warn)<br />
Jan 14 10:43:00.078 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (No route to host [WSAEHOSTUNREACH ]; NOROUTE; count 33; recommendation warn)<br />
Jan 14 10:43:01.093 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (No route to host [WSAEHOSTUNREACH ]; NOROUTE; count 34; recommendation warn)<br />
Jan 14 10:43:22.078 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (No route to host [WSAEHOSTUNREACH ]; NOROUTE; count 35; recommendation warn)<br />
Jan 14 10:43:23.093 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (No route to host [WSAEHOSTUNREACH ]; NOROUTE; count 36; recommendation warn)<br />
Jan 14 10:43:24.078 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (No route to host [WSAEHOSTUNREACH ]; NOROUTE; count 37; recommendation warn)<br />
Jan 14 10:43:25.093 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (No route to host [WSAEHOSTUNREACH ]; NOROUTE; count 38; recommendation warn)<br />
Jan 14 10:43:26.093 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (No route to host [WSAEHOSTUNREACH ]; NOROUTE; count 39; recommendation warn)<br />
Jan 14 10:43:27.093 [Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (No route to host [WSAEHOSTUNREACH ]; NOROUTE; count 40; recommendation warn)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4019"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4019" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">January 18, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-3982" class="permalink" rel="bookmark">Jan 14 10:25:14.921</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4019">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4019" class="permalink" rel="bookmark">Sounds like you need a</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Sounds like you need a bridge to get access to the rest of the world, or your local network is disconnecting you for some reason.  </p>
<p>Windows also has a problem where if it runs out of sockets, it needs a reboot to let Tor work again.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-3983"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3983" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 16, 2010</p>
    </div>
    <a href="#comment-3983">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3983" class="permalink" rel="bookmark">Is it possible that the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Is it possible that the Chinese or Iranians are jamming TOR relays ? Your Captcha is almost unreadable :(</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4018"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4018" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">January 18, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-3983" class="permalink" rel="bookmark">Is it possible that the</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4018">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4018" class="permalink" rel="bookmark">China is blocking the public</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>China is blocking the public relays.  One has to use bridges to get access to the rest of the Tor network and then on to the open internet.  </p>
<p>Iran seems to be just throttling all ssl to make everything slower.</p>
<p>The captcha seems readable by a ton of automated spam bots.  It's green on black.  If you're green colorblind, that could be a problem.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-3990"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3990" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 16, 2010</p>
    </div>
    <a href="#comment-3990">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3990" class="permalink" rel="bookmark">It seems possible that a</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It seems possible that a denial of service attack could be the reason for the connection problems. TOR is definitely an issue for repressive regimes, and they do have plenty of resources to stage such attacks.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-4030"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4030" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 20, 2010</p>
    </div>
    <a href="#comment-4030">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4030" class="permalink" rel="bookmark">According to the debug log</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>According to the debug log the [WSAENOTCONN ] message means that the software is failing to connect to the network properly, which isn't a local problem. It's a networking problem that will be addressed soon hopefully. Some of us feel that captchas are simply a way to prevent people from using the internet, since they seem to directly affect users of TOR.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-4037"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4037" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 20, 2010</p>
    </div>
    <a href="#comment-4037">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4037" class="permalink" rel="bookmark">Am I the only one having</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Am I the only one having connect problems to the network? I get 'Establishing a Tor circuit failed (done)'. Was  working fine up to 2 days ago (Monday).</p>
<p>Or is it the guys 'over there'?</p>
<p>Thanks.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-4039"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4039" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 21, 2010</p>
    </div>
    <a href="#comment-4039">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4039" class="permalink" rel="bookmark">It appears that the Mac OS X</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It appears that the Mac OS X Security Update 2010-001 (Snow Leopard) disables renegotiation in openssl - breaks current release of Tor (Vidalia) with version 0.2.1.22 of the TOR executable. I thought this problem had been addressed already, but the new update seems to break even the latest version. </p>
<p><a href="http://support.apple.com/kb/HT4004" rel="nofollow">http://support.apple.com/kb/HT4004</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4053"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4053" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 22, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-4039" class="permalink" rel="bookmark">It appears that the Mac OS X</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4053">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4053" class="permalink" rel="bookmark">I&#039;m also experiencing this</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I'm also experiencing this problem on OS X 10.6.2 with the security update applied running Tor 0.2.1.22.  The following appears in the log: [Warning] TLS error: unexpected close while renegotiating.  Makes sense if renegotiation has been disabled, but I thought this was fixed with the latest version of Tor since this is now the default behavior of OpenSSL 0.9.8l. I don't understand the complete change in the openssl codebase, but I wouldn't be surprised if Apple did something different in their update.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4064"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4064" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 23, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-4053" class="permalink" rel="bookmark">I&#039;m also experiencing this</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4064">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4064" class="permalink" rel="bookmark">Yea, apple disabled SSL</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yea, apple disabled SSL renegotiation in its entirety.  I've spent all night trying to re-enable it.  No luck, I don't understand OpenSSL well enough.  Guess we have to wait for Apple on this one.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4073"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4073" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 23, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-4064" class="permalink" rel="bookmark">Yea, apple disabled SSL</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4073">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4073" class="permalink" rel="bookmark">Same problem here. Installed</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Same problem here. Installed latest sec. update yesterday. Since then: TLS renegotiation error.<br />
Apple support page: no word on "Tor".<br />
Please let me know when this is solved. (Twitter @Whizzbizz)<br />
I'll try to post here, when I get a solution.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4074"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4074" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 23, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-4073" class="permalink" rel="bookmark">Same problem here. Installed</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4074">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4074" class="permalink" rel="bookmark">BTW: vers.0.2.2.7 doesn&#039;t</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>BTW: vers.0.2.2.7 doesn't solve the problem…</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4075"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4075" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 23, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-4074" class="permalink" rel="bookmark">BTW: vers.0.2.2.7 doesn&#039;t</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4075">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4075" class="permalink" rel="bookmark">yes, everyone knows Apple</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>yes, everyone knows Apple did not really fixed the OpenSSL issue but made a "by-pass" fix. In fact, this is a mistake, as we can see it with Tor: it does not work anymore. Damn, why? why?<br />
How to disable or uninstall this Apple security fix?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4150"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4150" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 27, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-4075" class="permalink" rel="bookmark">yes, everyone knows Apple</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4150">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4150" class="permalink" rel="bookmark">I have met the same error</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I have met the same error with 10.5.8 after installing the damn SecUpdate 2010-001. I can believe that how apple dare make a such fix. Hope this problem would be solved soon.<br />
I wasted a whole morning for changing bridges!</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div></div></div></div><a id="comment-4051"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4051" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 22, 2010</p>
    </div>
    <a href="#comment-4051">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4051" class="permalink" rel="bookmark">http://archives.seul.org/or/t</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="http://archives.seul.org/or/talk/Jan-2010/msg00161.html" rel="nofollow">http://archives.seul.org/or/talk/Jan-2010/msg00161.html</a></p>
<p>"You should upgrade to Tor 0.2.1.22 or 0.2.2.7-alpha:<br />
<a href="https://www.torproject.org/download.html.en" rel="nofollow">https://www.torproject.org/download.html.en</a></p>
<p>In early January we discovered that two of the seven directory<br />
authorities were compromised (moria1 and gabelmoo), along with<br />
metrics.torproject.org, a new server we'd recently set up to serve<br />
metrics data and graphs. The three servers have since been reinstalled<br />
with service migrated to other servers.</p>
<p>We made fresh identity keys for the two directory authorities, which is<br />
why you need to upgrade."</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-4077"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4077" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 23, 2010</p>
    </div>
    <a href="#comment-4077">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4077" class="permalink" rel="bookmark">0.2.2.7-alpha  still has the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>0.2.2.7-alpha  still has the stuck during bootstrapping problem, but it seems to be much less frequent.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-4099"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4099" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 24, 2010</p>
    </div>
    <a href="#comment-4099">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4099" class="permalink" rel="bookmark">I too have the Apple</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I too have the Apple completely disabled OpenSSL renegociation problem with latest tor. Wouldn't it be possible to build a statically linked tor binary for OS X with a less restrictive OpenSSL? If the system OpenSSL breaks you just don't use it.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-4100"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4100" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 24, 2010</p>
    </div>
    <a href="#comment-4100">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4100" class="permalink" rel="bookmark">OK, so I compiled tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>OK, so I compiled tor 0.2.1.22 manually linking it to the /opt/local libevent/libssl (the MacPorts versions) and now it works fine. I tried making a static version but apparently compiling static binaries on OS X is a PIA if not impossible.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4101"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4101" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 24, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-4100" class="permalink" rel="bookmark">OK, so I compiled tor</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4101">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4101" class="permalink" rel="bookmark">Awesome.  Can you post</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Awesome.  Can you post instructions for those of us with less technical competency?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-4104"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4104" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 24, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-4100" class="permalink" rel="bookmark">OK, so I compiled tor</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4104">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4104" class="permalink" rel="bookmark">yep, useful instructions and</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>yep, useful instructions and requirements would be very nice indeed.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4125"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4125" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 25, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-4104" class="permalink" rel="bookmark">yep, useful instructions and</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4125">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4125" class="permalink" rel="bookmark">Install MacPorts if you</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Install MacPorts if you don't already have it,<br />
install libevent and openssl,<br />
get the tor src<br />
CPPFLAGS="-I/opt/local/include" LDFLAGS="-L/opt/local/lib" ./configure<br />
make all<br />
sudo cp src/or/tor /Applications/Vidalia.app/Contents/MacOS/tor</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4126"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4126" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 25, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-4125" class="permalink" rel="bookmark">Install MacPorts if you</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4126">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4126" class="permalink" rel="bookmark">MacPorts if you don&#039;t</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><ul>
<li>MacPorts if you don't already have it</li>
<li>install libevent and openssl</li>
<li>get the tor src</li>
<li>CPPFLAGS="-I/opt/local/include" LDFLAGS="-L/opt/local/lib" ./configure</li>
<li>make all</li>
<li>sudo cp src/or/tor /Applications/Vidalia.app/Contents/MacOS/tor</li>
</ul>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4151"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4151" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 27, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-4126" class="permalink" rel="bookmark">MacPorts if you don&#039;t</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4151">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4151" class="permalink" rel="bookmark">Tks very much for providing</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Tks very much for providing a solution. However, with litter computer knowledge, I can not totally understand your description. Would you please show some illustrating pictures. I would appreciate it if you do me a favor to mail me the download link of necessary software and instructions to <a href="mailto:xianyu185@gmail.com" rel="nofollow">xianyu185@gmail.com</a>.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4192"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4192" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 31, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-4151" class="permalink" rel="bookmark">Tks very much for providing</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4192">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4192" class="permalink" rel="bookmark">Yup it works. Here&#039;s a more</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yup it works. Here's a more detailed description</p>
<ul>
<li>Download MacPorts (<a href="http://www.macports.org" rel="nofollow">www.macports.org</a>) &amp; the existing Tor Vidalia if you don't already have it</li>
<li>Install libevent and openssl by typing <span class="geshifilter"><code class="php geshifilter-php">sudo port install libevent</code></span> and <span class="geshifilter"><code class="php geshifilter-php">sudo port install openssl</code></span> in a Terminal (If you don't know what a Terminal is, google it)</li>
<li>Download the "Source Tarballs" in the "Available Linux/Unix Downloads" Page</li>
<li>In your Terminal, change into the folder(directory) to where you downloaded and uncompressed the source. If you downloaded into Downloads, it is most likely to be in <span class="geshifilter"><code class="php geshifilter-php"><span style="color: #339933;">/</span>Users<span style="color: #339933;">/</span></code></span>username<span class="geshifilter"><code class="php geshifilter-php"><span style="color: #339933;">/</span>Downloads<span style="color: #339933;">/</span>tor<span style="color: #339933;">-</span></code></span>version.<br />
To do this type: <span class="geshifilter"><code class="php geshifilter-php">cd <span style="color: #339933;">/</span>Users<span style="color: #339933;">/</span></code></span>username<span class="geshifilter"><code class="php geshifilter-php"><span style="color: #339933;">/</span>Downloads<span style="color: #339933;">/</span>tor<span style="color: #339933;">-</span>0<span style="color: #339933;">.</span>2<span style="color: #339933;">.</span>1<span style="color: #339933;">.</span>22</code></span> </li>
<li>Then type the following codes:
<ul>
<li><span class="geshifilter"><code class="php geshifilter-php">CPPFLAGS<span style="color: #339933;">=</span><span style="color: #0000ff;">&quot;-I/opt/local/include&quot;</span> LDFLAGS<span style="color: #339933;">=</span><span style="color: #0000ff;">&quot;-L/opt/local/lib&quot;</span> <span style="color: #339933;">./</span>configure</code></span></li>
<li><span class="geshifilter"><code class="php geshifilter-php">make all</code></span></li>
<li><span class="geshifilter"><code class="php geshifilter-php">sudo cp src<span style="color: #339933;">/</span>or<span style="color: #339933;">/</span>tor <span style="color: #339933;">/</span>Applications<span style="color: #339933;">/</span>Vidalia<span style="color: #339933;">.</span>app<span style="color: #339933;">/</span>Contents<span style="color: #339933;">/</span>MacOS<span style="color: #339933;">/</span>tor</code></span></li>
</ul>
</li>
</ul>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4328"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4328" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">February 12, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-4192" class="permalink" rel="bookmark">Yup it works. Here&#039;s a more</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4328">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4328" class="permalink" rel="bookmark">You don&#039;t have to do all</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You don't have to do all that. You can just run 2 commands</p>
<p><span class="geshifilter"><code class="php geshifilter-php">sudo port install tor<span style="color: #339933;">;</span> &nbsp;</code></span></p>
<p><span class="geshifilter"><code class="php geshifilter-php">sudo cp <span style="color: #339933;">/</span>opt<span style="color: #339933;">/</span>local<span style="color: #339933;">/</span>bin<span style="color: #339933;">/</span>tor <span style="color: #339933;">/</span>Applications<span style="color: #339933;">/</span>Vidalia<span style="color: #339933;">.</span>app<span style="color: #339933;">/</span>Contents<span style="color: #339933;">/</span>MacOS<span style="color: #339933;">/</span>tor</code></span></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4341"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4341" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">February 14, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-4328" class="permalink" rel="bookmark">You don&#039;t have to do all</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4341">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4341" class="permalink" rel="bookmark">great, that worked fine!
i</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>great, that worked fine!<br />
i even just changed the tor-path in settings to <span class="geshifilter"><code class="php geshifilter-php"><span style="color: #339933;">/</span>opt<span style="color: #339933;">/</span>local<span style="color: #339933;">/</span>bin<span style="color: #339933;">/</span>tor</code></span></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div></div></div></div></div><a id="comment-4113"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4113" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 25, 2010</p>
    </div>
    <a href="#comment-4113">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4113" class="permalink" rel="bookmark">my mac powerpc vidalia is</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>my mac powerpc vidalia is not connecting anymore since the recent security update either. has anyone got a fix or workaround for me please</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4176"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4176" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 29, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-4113" class="permalink" rel="bookmark">my mac powerpc vidalia is</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4176">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4176" class="permalink" rel="bookmark">Same problem here. Even</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Same problem here. Even though it seems like the relay still works!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4177"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4177" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 29, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-4176" class="permalink" rel="bookmark">Same problem here. Even</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4177">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4177" class="permalink" rel="bookmark">Oops, retracting my</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Oops, retracting my statement - just connected after 20 minutes trying!</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-4130"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4130" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 26, 2010</p>
    </div>
    <a href="#comment-4130">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4130" class="permalink" rel="bookmark">I installed openssl and</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I installed openssl and libevent from mac ports, instead of compiling from source I then installed the mac ports version of tor and linked vidala to the new binary in /opt/local/bin/tor</p>
<p>Seems to work so far...</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-4148"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4148" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 27, 2010</p>
    </div>
    <a href="#comment-4148">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4148" class="permalink" rel="bookmark">PLEASE CREATE A PROPER FIX</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>PLEASE CREATE A PROPER FIX for MAC OS X asap please.<br />
The new security update has locked me out!!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-4161"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4161" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 28, 2010</p>
    </div>
    <a href="#comment-4161">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4161" class="permalink" rel="bookmark">I&#039;m trying to do the fix and</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I'm trying to do the fix and I've installed Mac Ports on my macbook running 10.5.8, but I don't exactly understand how to </p>
<p>get the tor src<br />
CPPFLAGS="-I/opt/local/include" LDFLAGS="-L/opt/local/lib" ./configure<br />
make all<br />
sudo cp src/or/tor /Applications/Vidalia.app/Contents/MacOS/tor</p>
<p>just a little more explanation would be helpful.  Thanks!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-4185"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4185" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 30, 2010</p>
    </div>
    <a href="#comment-4185">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4185" class="permalink" rel="bookmark">On Mac OS 10.5.8 I had the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>On Mac OS 10.5.8 I had the same problems as described above. With fink I did<br />
fink install tor<br />
Then in Vidalia I changed the Tor-Application to<br />
/sw/bin/tor<br />
Now everything is fine, Tor works again.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-4198"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4198" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 31, 2010</p>
    </div>
    <a href="#comment-4198">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4198" class="permalink" rel="bookmark">I tried to use the above</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I tried to use the above fix, but when I tried to install libevent I got the following eror. Any ideas?</p>
<p>Error: Target org.macports.configure returned: configure failure: shell command " cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_devel_libevent/work/libevent-1.4.13-stable" &amp;&amp; ./configure --prefix=/opt/local --mandir=/opt/local/share/man " returned error 77<br />
Command output: checking for a BSD-compatible install... /usr/bin/install -c<br />
checking whether build environment is sane... yes<br />
checking for a thread-safe mkdir -p... ./install-sh -c -d<br />
checking for gawk... no<br />
checking for mawk... no<br />
checking for nawk... no<br />
checking for awk... awk<br />
checking whether make sets $(MAKE)... no<br />
checking for gcc... /usr/bin/gcc-4.0<br />
checking for C compiler default output file name...<br />
configure: error: in `/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_devel_libevent/work/libevent-1.4.13-stable':<br />
configure: error: C compiler cannot create executables<br />
See `config.log' for more details.</p>
<p>Error: Status 1 encountered during processing.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4204"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4204" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 31, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-4198" class="permalink" rel="bookmark">I tried to use the above</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4204">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4204" class="permalink" rel="bookmark">Can you please provide the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Can you please provide the output file "config.log" ?<br />
But seeing your error, you don't have gcc installed.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4261"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4261" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">February 03, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-4204" class="permalink" rel="bookmark">Can you please provide the</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4261">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4261" class="permalink" rel="bookmark">Forgive me if I appear</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Forgive me if I appear dense, but where do I find the file 'config log', and what is gcc please?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-4323"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4323" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">February 11, 2010</p>
    </div>
    <a href="#comment-4323">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4323" class="permalink" rel="bookmark">You really make it seem so</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You really make it seem so easy with your presentation but I find this topic to be really something which I think I would never understand. It seems too complicated and very broad for me. I am looking forward for your next post, I will try to get the hang of it!<br />
<a href="http://www.articlesvana.com/reverse-phone-lookup" rel="nofollow">Reverse Phone Lookup</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-4356"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4356" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">February 16, 2010</p>
    </div>
    <a href="#comment-4356">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4356" class="permalink" rel="bookmark">Having the exact same</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Having the exact same problem here.<br />
Macports server also seems to be down, can anyone provide an alternate source?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-4357"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4357" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">February 16, 2010</p>
    </div>
    <a href="#comment-4357">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4357" class="permalink" rel="bookmark">EASIEST fix:
Just download</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>EASIEST fix:<br />
Just download the 0.2.2.8-alpha version for powerpc or intel.  Done!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-4671"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4671" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 06, 2010</p>
    </div>
    <a href="#comment-4671">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4671" class="permalink" rel="bookmark">downloading the alpha did</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>downloading the alpha did the job ... thanks!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-5131"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-5131" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 12, 2010</p>
    </div>
    <a href="#comment-5131">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-5131" class="permalink" rel="bookmark">Do you know how to make a</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Do you know how to make a static binary in other unix distros?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-7186"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-7186" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 07, 2010</p>
    </div>
    <a href="#comment-7186">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-7186" class="permalink" rel="bookmark">vidalia-bundle-0.2.1.26-0.2.9</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>vidalia-bundle-0.2.1.26-0.2.9.exe</p>
<p>do any of you actually use tor with polipo on windows ? (windows server 2003).</p>
<p>if you are going to advise us to use polipo then maybe you should visit the polipo website and see what a mess windows installation of polipo is.<br />
e.g. there are several folders that need to be created for polipo to actually run in the first place, usr etc var (with subfolders) and create the resolv.conf file.</p>
<p>When those folders are in place the first thing vidalia does when starting is advise "connecting to the tor network failed (no route to host).</p>
<p>I though the idea of vidalia bundle was to be able to download it, run it under windows and startup tor. That is to be able to run tor without having to set up polipo.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-7187"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-7187" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">August 08, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-7186" class="permalink" rel="bookmark">vidalia-bundle-0.2.1.26-0.2.9</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-7187">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-7187" class="permalink" rel="bookmark">Polipo in the vidalia-bundle</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Polipo in the vidalia-bundle is pre-configured to work with Tor.  You don't need to configure polipo, it already is configured for Tor.</p>
<p>If you have specific issues, please open a bug at <a href="https://trac.torproject.org" rel="nofollow">https://trac.torproject.org</a>.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-8168"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-8168" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 23, 2010</p>
    </div>
    <a href="#comment-8168">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-8168" class="permalink" rel="bookmark">i have a problem in</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>i have a problem in installing my tor in red hat 5 linux </p>
<p>this is what the problem is </p>
<p>checking for u_int64_t... yes<br />
checking for u_int32_t... yes<br />
checking for u_int16_t... yes<br />
checking for u_int8_t... yes<br />
checking for libevent directory... (system)<br />
checking whether we need extra options to link libevent... configure: error: Found linkable libevent in (system), but it does not seem to run, even with -R. Maybe specify another using --with-libevent-dir}<br />
[sam@dhcpc0 tor-0.2.2.17-alpha]# </p>
<p>can u give me the solution please .. :( </p>
<p>my email id is <a href="mailto:pwdumpcracker@ymail.com" rel="nofollow">pwdumpcracker@ymail.com</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-8398"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-8398" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 12, 2010</p>
    </div>
    <a href="#comment-8398">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-8398" class="permalink" rel="bookmark">Hello, everybody!
I want to</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hello, everybody!<br />
I want to use tor browser, but can't do it on my job.<br />
Here you can find "Massage log" without bridge and then with it.<br />
---------------------<br />
[Notice] Tor v0.2.1.26. This is experimental software. Do not rely on it for strong anonymity. (Running on Windows XP Service Pack 3 [workstation] {terminal services, single user})<br />
[Notice] Initialized libevent version 1.4.13-stable using method win32. Good.<br />
[Notice] Opening Socks listener on 127.0.0.1:9050<br />
[Notice] Opening Control listener on 127.0.0.1:9051<br />
[Notice] Parsing GEOIP file.<br />
[Notice] OpenSSL OpenSSL 0.9.8l 5 Nov 2009 looks like version 0.9.8l; I will try SSL3_FLAGS to enable renegotation.<br />
[Notice] We now have enough directory information to build circuits.<br />
[Notice] Bootstrapped 80%: Connecting to the Tor network.<br />
[Notice] Bootstrapped 85%: Finishing handshake with first hop.<br />
[Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (DONE; DONE; count 10; recommendation warn)<br />
[Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (DONE; DONE; count 11; recommendation warn)<br />
[Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (DONE; DONE; count 12; recommendation warn)<br />
[Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (DONE; DONE; count 13; recommendation warn)<br />
[Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (DONE; DONE; count 14; recommendation warn)<br />
[Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (DONE; DONE; count 15; recommendation warn)<br />
------------------------------<br />
[Notice] Tor v0.2.1.26. This is experimental software. Do not rely on it for strong anonymity. (Running on Windows XP Service Pack 3 [workstation] {terminal services, single user})<br />
[Notice] Initialized libevent version 1.4.13-stable using method win32. Good.<br />
[Notice] Opening Socks listener on 127.0.0.1:9050<br />
[Notice] Opening Control listener on 127.0.0.1:9051<br />
[Notice] Parsing GEOIP file.<br />
[Notice] OpenSSL OpenSSL 0.9.8l 5 Nov 2009 looks like version 0.9.8l; I will try SSL3_FLAGS to enable renegotation.<br />
[Notice] new bridge descriptor 'Unnamed' (cached)<br />
[Notice] Bootstrapped 5%: Connecting to directory server.<br />
[Notice] new bridge descriptor 'unknow' (cached)<br />
[Notice] new bridge descriptor 'PimPamLacasitos' (cached)<br />
[Notice] We now have enough directory information to build circuits.<br />
[Notice] Bootstrapped 80%: Connecting to the Tor network.<br />
[Notice] Bootstrapped 85%: Finishing handshake with first hop.<br />
[Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 4; recommendation warn)<br />
[Warning] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (Socket is not connected [WSAENOTCONN ]; NOROUTE; count 5; recommendation warn)<br />
[Notice] no known bridge descriptors running yet; stalling<br />
[Notice] Our directory information is no longer up-to-date enough to build circuits: No live bridge descriptors.<br />
---------------------------<br />
If somebody knows what the problem is, or what i should do, please let me know here or <a href="mailto:palyanitsyn@ya.ru" rel="nofollow">palyanitsyn@ya.ru</a><br />
Thanks!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15696"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15696" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 22, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-8398" class="permalink" rel="bookmark">Hello, everybody!
I want to</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-15696">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15696" class="permalink" rel="bookmark">I am having this issue as</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I am having this issue as well.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-8464"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-8464" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 30, 2010</p>
    </div>
    <a href="#comment-8464">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-8464" class="permalink" rel="bookmark">^I have the same problem as</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>^I have the same problem as the above, but I do use the bridges reccomended.</p>
<p>It works at home, but not at school...</p>
<p><a href="mailto:abltcheeseburger@gmail.com" rel="nofollow">abltcheeseburger@gmail.com</a> &lt; please email me</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
